/********** Template CSS **********/
:root {
    --primary: #fd5602;
    --secondary: #E93C05;
    --tertiary: #fd5602;
    --light: #6b6a6a;
    --dark: #011A41;
    --active:5b5b5b;
}
@font-face {
    font-family: 'Avenir Next Variable';
    src: url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/2729/AvenirNext_Variable.ttf') format('truetype');
  }

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}

html{
    font-family:'Avenir Next Variable' !important;
}

h1,
.h1,
h2,
.h2,
.fw-bold {
    font-weight: 700 ;
}

h3,
.h3,
h4,
.h4,
.fw-medium {
    font-weight: 600 !important;
}

h5,
.h5,
h6,
.h6,
.fw-semi-bold {
    font-weight: 500 !important;
}
.start_section{
    background-size: cover;

}
.start_section .w-100{
    text-align:right;
}

.hero_text{
    font-family:'Avenir Next Variable' !important;
    font-weight: 500;
}

/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}

/***** SECTION front_row1 ******/


/*** Button ***/
.btn {
    transition: .5s;
    font-weight: 500;
}

.btn-primary{
    color: white;
    transition: transform 1s, box-shadow .5s;
    background: linear-gradient(105deg, rgba(255,77,30,1) 0%, rgba(255,44,109,1) 100%);
    border-radius: 2rem;
    text-decoration: none;
    border:none;
    font-size:1rem;
}
.btn-primary:hover{
    text-decoration: none;
    background: linear-gradient(105deg, rgba(255,77,30,1) 0%, rgba(255,44,109,1) 100%);
    transform: scale(1) perspective(0px);
    box-shadow: 0 10px 10px #2222227d;
}

.btn-primary,
.btn-outline-primary:hover {
    color: #fff;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}


/*** Navbar ***/
.fixed-top {
    background-color: #fff;
    /* box-shadow: 0px 5px 20px 0px #ddd; */
    transition: .5s;
}

.top-bar {
    height: 45px;
    border-bottom: 1px solid rgba(53, 94, 252, .07);
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

.navbar .navbar-nav .nav-link {
    padding: 25px 15px;
    color: var(--tertiary);
    font-weight: 500;
    outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    padding-bottom:.5rem ;
    text-decoration: none;
    font-size: 1rem;
    font-weight:bold;
    color:var(--active);
    border-bottom: 1px solid black;
}

@media (max-width: 991.98px) {
    .navbar .navbar-nav {
        margin-top: 10px;
        border-top: 1px solid rgba(0, 0, 0, .07);
        background: #FFFFFF;
    }

    .navbar .navbar-nav .nav-link {
        padding: 10px 0;
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        visibility: hidden;
        top: 100%;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
        transition: .5s;
        opacity: 0;
    }

    .navbar .nav-item:hover .dropdown-menu {
        transform: rotateX(0deg);
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}


/*** Header ***/
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: start;
    z-index: 1;
}

.carousel-control-prev,
.carousel-control-next {
    width: 3rem;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3rem;
    height: 3rem;
    background-color: var(--primary);
    border: 10px solid var(--primary);
}

.carousel-control-prev-icon {
    border-radius: 0 3rem 3rem 0;
}

.carousel-control-next-icon {
    border-radius: 3rem 0 0 3rem;
}

@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 800px;
    }
    
    #header-carousel .carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
       
    }
}

.page-header {
    padding-top: 12rem;
    padding-bottom: 6rem;
    background-size: cover;
}

.page-header .breadcrumb-item,
.page-header .breadcrumb-item a {
    font-weight: 500;
}

.page-header .breadcrumb-item+.breadcrumb-item::before {
    color: var(--tertiary);
}


/*** Facts ***/
.facts {
    background: linear-gradient(rgba(53, 94, 252, .95), rgba(53, 94, 252, .95)), url(../img/bg.png);
}


/*** Callback ***/
.callback {
    position: relative;
}

.callback::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 50%;
    top: 0;
    left: 0;
    background: linear-gradient(rgba(53, 94, 252, .95), rgba(53, 94, 252, .95)), url(../img/bg.png);
    z-index: -1;
}


/*** Feature ***/
.feature .feature-box,
.feature .feature-box * {
    transition: .5s;
}

.feature .feature-box:hover {
    background: var(--primary);
    border-color: var(--primary) !important;
}

.feature .feature-box:hover * {
    color: #FFFFFF !important;
}


/******************** Service Section  ***************/

.services_section{
    position: relative;
    background: #ecf5ff;
    padding-bottom: 5rem;
}

.section-heading h2 em {
    font-style: normal;
    color: #03a4ed;
  }
  
  .section-heading h2 span {
    color: #fe3f40;
  }

.our-portfolio {
    padding-top: 120px;
    margin-top: 0px;
  }
  
  .our-portfolio .section-heading h2 {
    text-align: center;
    margin: 0px 90px 0px 90px;
    margin-bottom: 120px;
    position: relative;
    z-index: 1;
  }
  
  .our-portfolio .item {
    position: relative;
  }
  
  .our-portfolio .item:hover .hidden-content {
    top: -100px;
    opacity: 1;
    visibility: visible;
  }
  
  .our-portfolio .item:hover .showed-content {
    top: 90px;
  }
  
  .our-portfolio .hidden-content {
    background: rgb(255,77,30);
    background: linear-gradient(105deg, rgba(255,77,30,1) 0%, rgba(255,44,109,1) 100%);
    padding: 30px;
    border-radius: 20px;
    text-align: center;
    opacity: 0;
    top: 0;
    visibility: hidden;
    position: absolute;
    z-index: 2;
    transition: all 0.5s;
  }
  
  .our-portfolio .hidden-content:after {
    width: 20px;
    height: 20px;
    position: absolute;
    background: rgb(255,77,30);
    content: '';
    left: 50%;
    bottom: -8px;
    margin-left: -5px;
    transform: rotate(45deg);
    background: linear-gradient(105deg, rgba(255,52,69,1) 0%, rgba(255,51,78,1) 100%);
    z-index: -1;
  }
  
  .our-portfolio .hidden-content h4 {
    font-size: 20px;
    font-weight: 700;
    color: #fff;
    margin-bottom: 20px;
  }
  
  .our-portfolio .hidden-content p {
    color: #fff;
  }
  
  .our-portfolio .showed-content {
    top: 0px;
    position: relative;
    z-index: 3;
    background-color: #fff;
    text-align: center;
    padding: 50px;
    border-radius: 20px;
    box-shadow: 0px 0px 10px rgba(0,0,0,0.1);
    transition: all 0.5s;
  }
  
  .our-portfolio .showed-content img {
    max-width: 200px;
  }
  
  @media (max-width: 992px) {
    
    .our-portfolio .section-heading h2 {
      margin: 0px 0px 80px 0px;
    }
    .our-portfolio .item {
      margin-bottom: 15px;
    }
    
  }  

/*** Project ***/
.project-item,
.project-item .project-img {
    position: relative;
}

.project-item .project-img a {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(255, 255, 255, .5);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    opacity: 0;
    transition: .5s;
}

.project-item:hover .project-img a {
    opacity: 1;
}

.project-item .project-title {
    position: absolute;
    top: 3rem;
    right: 0;
    bottom: 0;
    left: 3rem;
    border: 1px solid var(--light);
    border-radius: 8px;
    display: flex;
    align-items: flex-end;
    padding: 18px;
    z-index: -1;
    transition: .5s;
}

.project-item:hover .project-title {
    background: var(--primary);
    border-color: var(--primary);
}

.project-item .project-title h4 {
    transition: .5s;
}

.project-item:hover .project-title h4 {
    color: #FFFFFF;
}

.project-carousel .owl-nav {
    margin-top: 25px;
    display: flex;
    justify-content: center;
}

.project-carousel .owl-nav .owl-prev,
.project-carousel .owl-nav .owl-next {
    margin: 0 12px;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--primary);
    background: var(--light);
    border-radius: 45px;
    font-size: 22px;
    transition: .5s;
}

.project-carousel .owl-nav .owl-prev:hover,
.project-carousel .owl-nav .owl-next:hover {
    background: var(--primary);
    color: var(--light);
}


/*** Team ***/
.team-item {
    position: relative;
    padding: 4rem 0;
}

.team-item img {
    position: relative;
    z-index: 2;
}

.team-item .team-text {
    position: absolute;
    top: 0;
    right: 3rem;
    bottom: 0;
    left: 3rem;
    padding: 15px;
    border: 1px solid var(--light);
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    transition: .5s;
    z-index: 1;
}

.team-item:hover .team-text {
    background: var(--primary);
    border-color: var(--primary);
}

.team-item .team-text h4 {
    transition: .5s;
}

.team-item:hover .team-text h4 {
    color: #FFFFFF;
}

.team-item .team-social .btn {
    background: var(--light);
    color: var(--primary);
}

.team-item:hover .team-social .btn {
    background: #FFFFFF;
}

.team-item .team-social .btn:hover {
    background: var(--primary);
    color: var(--light);
}


/*** Testimonial ***/
.carousel {
	padding: 0 70px;
}
.carousel .carousel-item {
	color: #999;
	font-size: 16px;
	text-align: center;
	overflow: hidden;
	min-height: 290px;
    font-weight: 500;
}

.carousel .carousel-item .testimonial{
    text-align: center !important;
}

.carousel .carousel-item .img-box {
	width: 135px;
	height: 135px;
	margin: 0 auto;
	padding: 5px;
	/* border: 1px solid #ddd; */
	/* border-radius: 50%; */
}
.carousel .img-box img {
	width: 100%;
	height: 100%;
	display: block;
	/* border-radius: 50%; */
}
.carousel .testimonial {
	padding: 30px 0 10px;
}

.carousel .overview b {
	text-transform: capitalize;
	color: #fd5602;
}
.carousel-control-prev, .carousel-control-next {
	width: 40px;
	height: 40px;
    color: #fd5602;
	margin-top: -20px;
	top: 50%;
	background: none;
}
.carousel-control-prev i, .carousel-control-next i {
	font-size: 40px;
	line-height: 42px;
	position: absolute;
	display: inline-block;
	color: #fd5602;
	text-shadow: 0 3px 3px #e6e6e6, 0 0 0 #000;
}
.carousel-indicators {
	bottom: -40px;
}
.carousel-indicators li, .carousel-indicators li.active {
	width: 12px;
	height: 12px;
	margin: 1px 3px;
	border-radius: 50%;
	border: none;
}
.carousel-indicators li {	
	background: #999;
	border-color: transparent;
	box-shadow: inset 0 2px 1px rgba(0,0,0,0.2);
}
.carousel-indicators li.active {	
	background: #555;		
	box-shadow: inset 0 2px 1px rgba(0,0,0,0.2);
}
/********   PROMISE SECTION ******/
#about {
    padding: 100px 0;
    background-color: #ecf5ff;
  }


/*** Footer ***/

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: white;
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--primary);
    letter-spacing: 1px;
    box-shadow: none;
}

.copyright {
    text-align:center;
    color: #fff;
    background: #000B1C;
}
.copyright a{
    color: #fff;
    background: #000B1C;
}

/* .feed-powered-by-es, .es-poweredby{
    display: none !important;
} */
a .eapps-link{
    visibility: hidden !important;
}
.tb_post_modal_post_footer{
    display: none;
}
.copyright a:hover {
    color: var(--primary);
}
/*** Features ***/
.btn-play {
    position: absolute;
    top: 50%;
    right: -30px;
    transform: translateY(-50%);
    display: block;
    box-sizing: content-box;
    width: 16px;
    height: 26px;
    border-radius: 100%;
    border: none;
    outline: none !important;
    padding: 18px 20px 20px 28px;
    background: var(--primary);
}

@media (max-width: 992px) {
    .btn-play {
        left: 50%;
        right: auto;
        transform: translate(-50%, -50%);
    }
}

.btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: var(--primary);
    border-radius: 100%;
    animation: pulse-border 1500ms ease-out infinite;
}

.btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: var(--primary);
    border-radius: 100%;
    transition: all 200ms;
}

.btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    left: -1px;
    border-left: 16px solid #FFFFFF;
    border-top: 11px solid transparent;
    border-bottom: 11px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(2);
        opacity: 0;
    }
}

.modal-video .modal-dialog {
    position: relative;
    max-width: 800px;
    margin: 60px auto 0 auto;
}

.modal-video .modal-body {
    position: relative;
    padding: 0px;
}

.modal-video .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    color: #FFFFFF;
    background: #000000;
    opacity: 1;
}


/* Services Section
--------------------------------*/

#services {
    padding: 60px 0 40px 0;
    box-shadow: inset 0px 0px 12px 0px rgba(0, 0, 0, 0.1);
  }
  
  #services .box {
    padding: 30px;
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    margin: 0 10px 40px 10px;
    background: #fff;
    box-shadow: 0 10px 29px 0 rgba(68, 88, 144, 0.1);
    transition: all 0.3s ease-in-out;
  }
  
  #services .box:hover {
    -webkit-transform: translateY(-5px);
    transform: translateY(-5px);
  }
  
  #services .icon {
    position: absolute;
    left: -10px;
    top: calc(50% - 32px);
  }
  
  #services .icon i {
    font-size: 64px;
    line-height: 1;
    transition: 0.5s;
  }
  
  #services .title {
    margin-left: 40px;
    font-weight: 700;
    margin-bottom: 15px;
    font-size: 18px;
  }
  
  #services .title a {
    color: #111;
  }
  
  #services .box:hover .title a {
    color: #007bff;
  }
  
  #services .description {
    font-size: 14px;
    margin-left: 40px;
    line-height: 24px;
    margin-bottom: 0;
  }
  .section-bg {
    background: #ecf5ff;
  }
  .section-header h3 {
    font-size: 36px;
    color: #283d50;
    text-align: center;
    font-weight: 500;
    position: relative;
  }
  
  .section-header p {
    text-align: center;
    margin: auto;
    font-size: 15px;
    padding-bottom: 60px;
    color: #556877;
    width: 50%;
  }


  /********** get in touch ******/
  #get-in-touch {
    padding: 100px 0 50px;
   
    color: var(--primary);
  }
  #get-in-touch h1,
  #get-in-touch h2 {
    font-size:40px;
    color: var(--primary);
    padding-bottom: 1rem;
  }
  #get-in-touch p{
    color:black;
    line-height: 2rem;
    font-size: 20px;
  }
  
  .nav-link.active > h5{
color: #fff !important;
  }



  /*********** PARTICLES SECTION ***************/

  canvas{
    display:block;
    vertical-align:bottom;
  }
  
  
  /* ---- stats.js ---- */
  
  .count-particles{
    position: absolute;
    top: 160px;
    left: 0;
  }
  .count-particles h1{
    margin-left: 3rem;
  }
  .count-particles a{
    color:var(--primary);
    margin-left: 3rem;
    font-size:1.5rem;
  }
  .count-particles span{
    color:var(--light);
    font-size:1.5rem;
  }
  
  .js-count-particles{
    font-size: 1.1em;
  }
  .count-particles h2{
    margin-right: 3rem;
    font-family: 'Courier New', Courier, monospace !important;
    float:right;
    font-size: 24px;
  }
  
  #stats,
  .count-particles{
    -webkit-user-select: none;
    margin-top: 5px;
    margin-left: 5px;
  }

  
  #stats{
    border-radius: 3px 3px 0 0;
    overflow: hidden;
  }
  
  .count-particles{
    border-radius: 0 0 3px 3px;
  }
  
  
  /* ---- particles.js container ---- */
  
  #particles-js{
    width: 100%;
    height: 100%;
    background-color: #fff;
    background-image: url('');
    background-size: cover;
    background-position: 50% 50%;
    background-repeat: no-repeat;
  }
  

  /************ CHAT BOT **********/


/* Chatbot */
.botIcon {
    bottom: 100px;
    right:30px;
    position: fixed;
    z-index: 99;

}
.chat_circle{
    padding: 1.6rem;
    border-radius:50% !important
}

@-webkit-keyframes glowing {
    0% { background-color: #fd5602; -webkit-box-shadow: 0 0 3px #fd5602; }
    50% { background-color: #fd5602; -webkit-box-shadow: 0 0 40px #fd5602; }
    100% { background-color: #fd5602; -webkit-box-shadow: 0 0 3px #fd5602; }
  }
  
  @-moz-keyframes glowing {
    0% { background-color: #fd5602; -moz-box-shadow: 0 0 3px #fd5602; }
    50% { background-color: #fd5602; -moz-box-shadow: 0 0 40px #fd5602; }
    100% { background-color: #fd5602; -moz-box-shadow: 0 0 3px #fd5602; }
  }
  
  @-o-keyframes glowing {
    0% { background-color: #fd5602; box-shadow: 0 0 3px #fd5602; }
    50% { background-color: #fd5602; box-shadow: 0 0 40px #fd5602; }
    100% { background-color: #fd5602; box-shadow: 0 0 3px #fd5602; }
  }
  
  @keyframes glowing {
    0% { background-color: #fd5602; box-shadow: 0 0 3px #fd5602; }
    50% { background-color: #fd5602; box-shadow: 0 0 40px #fd5602; }
    100% { background-color: #fd5602; box-shadow: 0 0 3px #fd5602; }
  }
.iconInner {
    -webkit-align-items: center;
    -ms-align-items: center;
    align-items: center;
    background: transparent;
    background-position: 50%;
    
    background-size: 300%;
    border-radius: 50%;
    cursor: pointer;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    font-size: 1.7em;
    height: 2em;
    justify-content: center;
    width: 2em;
    -webkit-animation: glowing 3000ms infinite;
    -moz-animation: glowing 3000ms infinite;
    -o-animation: glowing 3000ms infinite;
    animation: glowing 3000ms infinite;
}
.botSubject, .messages, .showBotSubject .botIconContainer, .showMessenger .botIconContainer {
    display: none;
}
.showBotSubject .botSubject {
    display: block;
}
.showMessenger .messages {
    display: block;
}
.botSubject {
    position: relative;
    width: 300px;
}
.botIcon .messages {
    background: none;
    border: none;
    border-radius: 0;
    bottom: 0;
    box-shadow: 0px 0px 30px -5px #000;
    min-height: 250px;
    max-height: 50vh;
    margin: 0;
    padding: 0;
    position: relative;
    right: 0;
    width: 300px;
}
.screen {
    background-color: #fff;
    position: absolute;
    height: 100%;
    overflow: hidden;
    width: 100%;
}
.botIcon .messages .body {
    box-sizing: border-box;
    height: calc(100% - 40px);
    overflow-y: auto;
    padding: 0px 12px 6px;
}
.botIcon .messages .body .msg {
    -webkit-animation: msg 1s;
    -moz-animation: msg 1s;
    -ms-animation: msg 1s;
    -o-animation: msg 1s;
    animation: msg 1s;
    background-color: #1666af;
    border-radius: 0px 10px 10px 10px;
    box-sizing: border-box;
    clear: both;
    color: #fff;
    margin-top: 10px;
    opacity: 1;
    display: block;
    overflow: hidden;
    padding: 10px 10px;
    width: 100%;
    float: left;
    width: auto;
}
.messages .body .msg.user {
    background-color: #fff;
    box-shadow: 0 0 4px rgba(0, 0, 0 , .5);
    border-radius: 10px 0px 10px 10px;
    color: #000;
    float: right;
    width: auto;
}
.botIcon .messages .footer, .botSubject > form {
    box-shadow: 0px -1px 3px rgba(0, 0, 0, 0.5);
    bottom: 0;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    padding: 0;
    position: absolute;
    width: 100%;
    z-index: 100;
}
.botSubject > form {
    background-color: #fff;
    padding: 20px 15px;
    position: static;
}
.botIcon .messages .footer input, .botSubject input {
    border-width: 0px;
    box-sizing: border-box;
    font-size: 1em;
    margin: 0;
    padding-left: 10px;
}
.botIcon .messages .footer input[type="text"], .botSubject input[type="text"] {
    border: 1px solid;
    width: calc(100% - 70px);
}
.botIcon .messages .footer input[type="submit"], 
.messages .footer input[type="button"], 
.messages .footer button, 
.botSubject input[type="submit"], 
.botSubject input[type="button"], 
.botSubject button {
    width: 60px;
}
.botIcon .messages .footer input, 
.messages .footer button, 
.botSubject input, 
.botSubject button {
    height: 40px;
}
.botIcon .messages .footer button, 
.botSubject button {
    background-color: #123123;
    border: 0px solid black;
    color: white;
    width: 70px;
    margin: 0px;
    outline: none;
}
.botIcon .messages .footer button:hover, 
.botSubject button:hover {
    opacity: 0.7;
}
.botIcon .btn.btn-default.buyc_btn {
    border-radius: 0 !important;
    color: #fff;
    margin: 0;
    padding: 0;
}
.botIcon .btn.btn-default.buyc_btn:hover {
    padding: 0;
}
.closeBtn {
    background: transparent;
    background: -webkit-linear-gradient(right, #fd5602, #ae460f);
    background: -o-linear-gradient(right, #fd5602, #ae460f);
    background: -moz-linear-gradient(right,#fd5602, #ae460f);
    background: linear-gradient(right, #fd5602, #ae460f);
    background-position: 50%;
    background-size: 300%;
    border-radius: 50%;
    height: 30px;
    position: absolute;
    right: 0;
    top: 0;
    -webkit-transform: translate(50%, -50%);
    -ms-transform: translate(50%, -50%);
    transform: translate(50%, -50%);
    width: 30px;
    z-index: 999;
}
.closeBtn::before, 
.closeBtn::after {
    background-color: #fff;
    content: "";
    display: block;
    height: 2px;
    left: 50%;
    position: absolute;
    top: 50%;
    -webkit-transform: translate(-50%, -50%) rotate(45deg);
    -ms-transform: translate(-50%, -50%) rotate(45deg);
    transform: translate(-50%, -50%) rotate(45deg);
    width: 20px;}

.closeBtn::after {
    -webkit-transform: translate(-50%, -50%) rotate(-45deg);
    -ms-transform: translate(-50%, -50%) rotate(-45deg);
    transform: translate(-50%, -50%) rotate(-45deg);
}

@-webkit-keyframes msg {
	0% {opacity: 0;-webkit-transform: translateY(20px);}
	100% {opacity: 1;-webkit-transform: translateY(0px);}
}
@-o-keyframes msg {
	0% {opacity: 0;-o-transform: translateY(20px);}
	100% {opacity: 1;-o-transform: translateY(0px);}
}
@-moz-keyframes msg {
	0% {opacity: 0;-moz-transform: translateY(20px);}
	100% {opacity: 1;-moz-transform: translateY(0px);}
}
@-ms-keyframes msg {
	0% {opacity: 0;-ms-transform: translateY(20px);}
	100% {opacity: 1;-ms-transform: translateY(0px);}
}
@keyframes msg {
	0% {opacity: 0;transform: translateY(20px);}
	100% {opacity: 1;transform: translateY(0px);}
}

@media only screen and (max-width: 412px) {
	.botSubject, .botIcon .messages {width: 280px;}
}

.botIcon .Messages, .botIcon .Messages_list {
    -webkit-box-flex: 1;
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
}
.chat_close_icon {
    color: #fff;
    cursor: pointer;
    font-size: 24px;
    position: absolute;
    right: 12px;
    z-index: 9; 
}
.chat_on {
    background-color: #8a57cf;
    bottom: 20px;
    border-radius: 50%;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12) !important;
    color: #fff;
    cursor: pointer;
    display: block;
    height: 45px;
    padding: 9px;
    position: fixed;
    right: 15px;
    text-align: center;
    width: 45px;
    z-index: 10;
}
.chat_on_icon {
    color: #fff;
    font-size: 25px;
    text-align: center;
}
.botIcon .Layout {
    -webkit-animation: appear .15s cubic-bezier(.25, .25, .5, 1.1);
    -ms-animation: appear .15s cubic-bezier(.25, .25, .5, 1.1);
    animation: appear .15s cubic-bezier(.25, .25, .5, 1.1);
    -webkit-animation-fill-mode: forwards;
    -ms-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    background-color: rgb(63, 81, 181);
    bottom: 20px;
    border-radius: 10px;
    box-shadow: 5px 0 20px 5px rgba(0, 0, 0, .1);
    box-sizing: content-box !important;
    color: rgb(255, 255, 255);
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;-webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: end;
    -webkit-justify-content: flex-end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    max-height: 30px;
    max-width: 300px;
    min-width: 50px;
    opacity: 0;
    pointer-events: auto;
    position: fixed;
    -webkit-transition: right .1s cubic-bezier(.25, .25, .5, 1), 
                        bottom .1s cubic-bezier(.25, .25, .5, 1), 
                        min-width .2s cubic-bezier(.25, .25, .5, 1), 
                        max-width .2s cubic-bezier(.25, .25, .5, 1), 
                        min-height .2s cubic-bezier(.25, .25, .5, 1), 
                        max-height .2s cubic-bezier(.25, .25, .5, 1), 
                        border-radius 50ms cubic-bezier(.25, .25, .5, 1) .15s, 
                        background-color 50ms cubic-bezier(.25, .25, .5, 1) .15s, 
                        color 50ms cubic-bezier(.25, .25, .5, 1) .15s;
    -ms-transition: right .1s cubic-bezier(.25, .25, .5, 1), 
                    bottom .1s cubic-bezier(.25, .25, .5, 1), 
                    min-width .2s cubic-bezier(.25, .25, .5, 1), 
                    max-width .2s cubic-bezier(.25, .25, .5, 1), 
                    min-height .2s cubic-bezier(.25, .25, .5, 1), 
                    max-height .2s cubic-bezier(.25, .25, .5, 1), 
                    border-radius 50ms cubic-bezier(.25, .25, .5, 1) .15s, 
                    background-color 50ms cubic-bezier(.25, .25, .5, 1) .15s, 
                    color 50ms cubic-bezier(.25, .25, .5, 1) .15s;
    transition: right .1s cubic-bezier(.25, .25, .5, 1), 
                bottom .1s cubic-bezier(.25, .25, .5, 1), 
                min-width .2s cubic-bezier(.25, .25, .5, 1), 
                max-width .2s cubic-bezier(.25, .25, .5, 1), 
                min-height .2s cubic-bezier(.25, .25, .5, 1), 
                max-height .2s cubic-bezier(.25, .25, .5, 1), 
                border-radius 50ms cubic-bezier(.25, .25, .5, 1) .15s, 
                background-color 50ms cubic-bezier(.25, .25, .5, 1) .15s, 
                color 50ms cubic-bezier(.25, .25, .5, 1) .15s;
    z-index: 999999999;
}
.botIcon .Layout-open {
    border-radius: 10px;
    color: #fff;
    height: 500px;
    max-height: 500px;
    max-width: 300px;
    overflow: hidden;
    -webkit-transition: right .1s cubic-bezier(.25, .25, .5, 1), 
                        bottom .1s cubic-bezier(.25, .25, .5, 1.1), 
                        min-width .2s cubic-bezier(.25, .25, .5, 1.1), 
                        max-width .2s cubic-bezier(.25, .25, .5, 1.1), 
                        max-height .2s cubic-bezier(.25, .25, .5, 1.1), 
                        min-height .2s cubic-bezier(.25, .25, .5, 1.1), 
                        border-radius 0ms cubic-bezier(.25, .25, .5, 1.1), 
                        background-color 0ms cubic-bezier(.25, .25, .5, 1.1), 
                        color 0ms cubic-bezier(.25, .25, .5, 1.1);
    -ms-transition:right .1s cubic-bezier(.25, .25, .5, 1), 
                    bottom .1s cubic-bezier(.25, .25, .5, 1.1), 
                    min-width .2s cubic-bezier(.25, .25, .5, 1.1), 
                    max-width .2s cubic-bezier(.25, .25, .5, 1.1), 
                    max-height .2s cubic-bezier(.25, .25, .5, 1.1), 
                    min-height .2s cubic-bezier(.25, .25, .5, 1.1), 
                    border-radius 0ms cubic-bezier(.25, .25, .5, 1.1), 
                    background-color 0ms cubic-bezier(.25, .25, .5, 1.1), 
                    color 0ms cubic-bezier(.25, .25, .5, 1.1);
    transition: right .1s cubic-bezier(.25, .25, .5, 1), 
                bottom .1s cubic-bezier(.25, .25, .5, 1.1), 
                min-width .2s cubic-bezier(.25, .25, .5, 1.1), 
                max-width .2s cubic-bezier(.25, .25, .5, 1.1), 
                max-height .2s cubic-bezier(.25, .25, .5, 1.1), 
                min-height .2s cubic-bezier(.25, .25, .5, 1.1), 
                border-radius 0ms cubic-bezier(.25, .25, .5, 1.1), 
                background-color 0ms cubic-bezier(.25, .25, .5, 1.1), 
                color 0ms cubic-bezier(.25, .25, .5, 1.1);
    width: 100%;
}
.botIcon .Layout-expand {
    display: none;
    height: 400px;
    max-height: 100vh;
    min-height: 300px;
}
.showBotSubject.botIcon .Layout-expand {
    display: block;
}
.botIcon .Layout-mobile {
    bottom: 10px
}
.botIcon .Layout-mobile.Layout-open {
    min-width: calc(100% - 20px);
    width: calc(100% - 20px);
}
.botIcon .Layout-mobile.Layout-expand {
    border-radius: 0 !important;
    bottom: 0;
    height: 100%;
    min-height: 100%;
    min-width: 100%;
    width: 100%;
}
.botIcon .Messenger_messenger {
    height: 100%;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    position: relative;
    width: 100%;
}
.botIcon .Messenger_header, .botIcon .Messenger_messenger {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}
.botIcon .Messenger_header {
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    background-color: #fd5602;
    color: rgb(255, 255, 255);
    -webkit-flex-shrink: 0;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    height: 60px;
    padding-left: 10px;
    padding-right: 40px;
}

.botIcon .Messenger_header h4 {
    color:white;
    -webkit-animation: slidein .15s .3s;
    -ms-animation: slidein .15s .3s;
    animation: slidein .15s .3s;
    -webkit-animation-fill-mode: forwards;
    -ms-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    font-size: 20px;
    opacity: 0;
}
.botIcon .Messenger_prompt {
    font-size: 16px;
    font-weight: 400;
    line-height: 18px;
    margin: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.botIcon .Messenger_content {
    background-color: #fff;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-flex: 1;
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    height: 80px;
}
.botIcon .Messages {
    background-color: #fff;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-shrink: 1;
    -ms-flex-negative: 1;
    flex-shrink: 1;
    overflow-x: hidden;
    overflow-y: auto;
    padding: 10px;
    position: relative;
    -webkit-overflow-scrolling: touch;
}
.botIcon .Input {
    background-color: #fff;
    border-top: 1px solid #e6ebea;
    color: #96aab4;
    -webkit-box-flex: 0;
    -webkit-flex-grow: 0;
    -ms-flex-positive: 0;
    flex-grow: 0;
    -webkit-flex-shrink: 0;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    padding-bottom: 15px;
    padding-top: 17px;
    position: relative;
    width: 100%;
}
.botIcon .Input-blank .Input_field {
    max-height: 20px;
}
.botIcon .Input_field {
    background-color: transparent;
    border: none;
    outline: none;
    padding-left: 20px;
    padding-right: 45px;
    resize: none;
    width: 100%;
    font-size: 14px;
    line-height: 20px;
    min-height: 20px !important;
}
.botIcon .Input_button-emoji {
    right: 45px;
}
.botIcon .Input_button {
    background-color: transparent;
    border: none;
    bottom: 15px;
    cursor: pointer;
    
    height: 25px;
    outline: none;
    padding: 0;
    position: absolute;
    width: 25px;
}
.botIcon .Input_button-send {
    right: 15px;
}
.botIcon .Input-emoji .Input_button-emoji .Icon, 
.botIcon .Input_button:hover .Icon {
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.1);
    transform: scale(1.1);
    -webkit-transition: all .1s ease-in-out;
    -ms-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out;
}
.botIcon .Input-emoji .Input_button-emoji .Icon path, 
.botIcon .Input_button:hover .Icon path {
    fill: #2c2c46;
}
.Icon svg {
    height: auto;
    width: 100%;
}

.msg {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}
.msg.user {
    -webkit-box-direction: row-reverse;
    -webkit-flex-direction: row-reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
}
.msg + .msg {
    margin-top: 15px;
    }
span.responsText {
    color: #fd5602;
    display: inline-block;
    margin-left: 10px;
    vertical-align: top;
    max-width: calc(100% - 50px);
}
.msg.user span.responsText {
    color: black;
    margin-left: 0;
    margin-right: 10px;
}
span.avtr {
    display: inline-block;
    width: 30px;
}
span.avtr figure {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 50%;
    display: block;
    margin: 0;
    padding-bottom: 100%;
}

@-webkit-keyframes appear {
    0% {opacity: 0;-webkit-transform: scale(0);transform: scale(0);}
    100% {opacity: 1;-webkit-transform: scale(1);transform: scale(1);}
}
@-ms-keyframes appear {
    0% {opacity: 0;-ms-transform: scale(0);transform: scale(0);}
    100% {opacity: 1;-ms-transform: scale(1);transform: scale(1);}
}
@keyframes appear {
    0% {opacity: 0;-webkit-transform: scale(0);transform: scale(0);}
    100% {opacity: 1;-webkit-transform: scale(1);transform: scale(1);}
}
@-webkit-keyframes slidein {
    0% {opacity: 0;-webkit-transform: translateX(10px);transform: translateX(10px);}
    100% {opacity: 1;-webkit-transform: translateX(0);transform: translateX(0);}
}
@-ms-keyframes slidein {
    0% {opacity: 0;-ms-transform: translateX(10px);transform: translateX(10px);}
    100% {opacity: 1;-ms-transform: translateX(0);transform: translateX(0);}
}
@keyframes slidein {
    0% {opacity: 0;-webkit-transform: translateX(10px);transform: translateX(10px);}
    100% {opacity: 1;-webkit-transform: translateX(0);transform: translateX(0);}
}

@media only screen and (max-width: 412px) {
	.botIcon .Layout-open {width: 250px;}
}





.whatsapp-icon-container {
    bottom: 180px;
    right:30px;
    position: fixed;
  }
  
  .whatsapp-icon {
    cursor: pointer;
    border-radius:50% !important;
    width: 50px;
    height: 50px;
    -webkit-animation: blinking 3000ms infinite;
    -moz-animation: blinking 3000ms infinite;
    -o-animation: blinking 3000ms infinite;
    animation: blinking 3000ms infinite;
    
  }

  @-webkit-keyframes blinking {
    0% { background-color: green; -webkit-box-shadow: 0 0 3px green; }
    50% { background-color: green; -webkit-box-shadow: 0 0 40px green; }
    100% { background-color: green; -webkit-box-shadow: 0 0 3px green; }
  }
  
  @-moz-keyframes blinking {
    0% { background-color: green; -moz-box-shadow: 0 0 3px green; }
    50% { background-color: green; -moz-box-shadow: 0 0 40px green; }
    100% { background-color: green; -moz-box-shadow: 0 0 3px green; }
  }
  
  @-o-keyframes blinking {
    0% { background-color: green; box-shadow: 0 0 3px green; }
    50% { background-color: green; box-shadow: 0 0 40px green; }
    100% { background-color: green; box-shadow: 0 0 3px green; }
  }
  
  @keyframes blinking {
    0% { background-color: green; box-shadow: 0 0 3px green; }
    50% { background-color: green; box-shadow: 0 0 40px green; }
    100% { background-color: green; box-shadow: 0 0 3px green; }
  }
  